io.vertx.rxjava.ext.auth

## Class AuthProvider

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava.ext.auth.AuthProvider

- Direct Known Subclasses:
    JDBCAuth, MongoAuth, ShiroAuth

      public class AuthProvider
      extends AuthenticationProvider

  User-facing interface for authenticating users.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AuthProvider>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthProvider(AuthProvider delegate)`
    `AuthProvider(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `AuthProvider` | `getDelegate()`
    `int` | `hashCode()`
    `static AuthProvider` | `newInstance(AuthProvider arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AuthProvider> __TYPE_ARG

  - ### Constructor Detail

    - #### AuthProvider

          public AuthProvider(AuthProvider delegate)

    - #### AuthProvider

          public AuthProvider(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public AuthProvider getDelegate()

      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### newInstance

          public static AuthProvider newInstance(AuthProvider arg)

Copyright © 2020 Eclipse. All rights reserved.